## org.metaabm
Interface SNDimensional

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SAttributed, SNamed, SProjection

All Known Subinterfaces:
  SContinuousSpace, SGrid

All Known Implementing Classes:
  SContinuousSpaceImpl, SGridImpl, SNDimensionalImpl

    public interface SNDimensional

extends SProjection

A representation of the model object ' SN Dimensional'.

Author:
  Miles Parker

  The following features are supported:

  - `Dimensionality`
  - `Border Rule`
See Also:
  `MetaABMPackage.getSNDimensional()`

Method Summary
`SBorderRule` `getBorderRule()` Returns the value of the 'Border Rule' attribute.
`int` `getDimensionality()` Returns the value of the 'Dimensionality' attribute.
`void` `setBorderRule(SBorderRule value)` Sets the value of the '`Border Rule`' attribute.
`void` `setDimensionality(int value)` Sets the value of the '`Dimensionality`' attribute.

Methods inherited from interface org.metaabm.SProjection
`getOwner, setOwner`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDimensionality

    int getDimensionality()

  Returns the value of the 'Dimensionality' attribute. The default value is `"0"`.

  If the meaning of the 'Dimensionality' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dimensionality' attribute.
  See Also:
    `setDimensionality(int)`, `MetaABMPackage.getSNDimensional_Dimensionality()`

### setDimensionality

    void setDimensionality(int value)

  Sets the value of the '`Dimensionality`' attribute.

  Parameters:
    `value` - the new value of the 'Dimensionality' attribute.
  See Also:
    `getDimensionality()`

### getBorderRule

    SBorderRule getBorderRule()

  Returns the value of the 'Border Rule' attribute. The default value is `"STICKY"`. The literals are from the enumeration `SBorderRule`.

  If the meaning of the 'Border Rule' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Border Rule' attribute.
  See Also:
    `SBorderRule`, `setBorderRule(SBorderRule)`, `MetaABMPackage.getSNDimensional_BorderRule()`

### setBorderRule

    void setBorderRule(SBorderRule value)

  Sets the value of the '`Border Rule`' attribute.

  Parameters:
    `value` - the new value of the 'Border Rule' attribute.
  See Also:
    `SBorderRule`, `getBorderRule()`